<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce___Download_report_as_XLSX" mva:VisualBasic.Settings="{x:Null}" sap:VirtualizedContainerService.HintSize="1255,2966" sap2010:WorkflowViewState.IdRef="Salesforce - Download report as XLSX_1" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sco="clr-namespace:System.Collections.ObjectModel;assembly=mscorlib" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="27">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>Microsoft.VisualBasic.CompilerServices</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="56">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>System.Runtime.WindowsRuntime</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Global" sap:VirtualizedContainerService.HintSize="663,2861" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Default="Salesforce_JPP_Start_JPP" Name="componentName" />
      <Variable x:TypeArguments="x:Int32" Name="counter" />
      <Variable x:TypeArguments="x:Boolean" Name="topDownTagExists" />
      <Variable x:TypeArguments="x:Boolean" Name="detailsTableEditModeActive" />
      <Variable x:TypeArguments="x:Boolean" Name="topDownChecked" />
      <Variable x:TypeArguments="x:Boolean" Name="quickQuoteChecked" />
      <Variable x:TypeArguments="x:Boolean" Name="quoteBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="quoteScreenExists" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="621,91" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot;+componentName]" />
    <ui:UiElementExists DisplayName="Element Exists - quote button" Exists="[quoteBtnExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_38">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="2b04abace5cf0b83f9eeb134742122b2" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Q-*' parentid='brandBand_2' parentname='sidebar' tag='SPAN' /&gt;" TimeoutMS="15000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[quoteBtnExists]" DisplayName="If quoteBtnExists" sap:VirtualizedContainerService.HintSize="621,540" sap2010:WorkflowViewState.IdRef="If_40">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence sap:VirtualizedContainerService.HintSize="376,392" sap2010:WorkflowViewState.IdRef="Sequence_60">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:SendHotkey ClickBeforeTyping="{x:Null}" DelayBefore="{x:Null}" DelayBetweenKeys="{x:Null}" DelayMS="{x:Null}" EmptyField="{x:Null}" SendWindowMessages="{x:Null}" Activate="True" DisplayName="Send Hotkey pgdown" sap:VirtualizedContainerService.HintSize="334,154" sap2010:WorkflowViewState.IdRef="SendHotkey_1" Key="pgdn" KeyModifiers="None" SpecialKey="True">
            <ui:SendHotkey.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="f38cca88-e723-44ae-9adb-103f016827d2" InformativeScreenshot="a388e50287c6af2f71af13a93782fe55" Selector="&lt;wnd app='chrome.exe' title='*Salesforce - Google Chrome' /&gt;">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:SendHotkey.Target>
          </ui:SendHotkey>
          <ui:UiElementExists DisplayName="Element Exists - quote button" Exists="[quoteBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_39">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="2b04abace5cf0b83f9eeb134742122b2" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Q-*' parentid='brandBand_2' parentname='sidebar' tag='SPAN' /&gt;" TimeoutMS="15000">
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
        </Sequence>
      </If.Else>
    </If>
    <If Condition="[quoteBtnExists]" DisplayName="If quoteBtnExists" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_47">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Then>
        <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_1">
          <TextExpression.Namespaces>
            <sco:Collection x:TypeArguments="x:String">
              <x:String>System.Activities</x:String>
              <x:String>System.Activities.Statements</x:String>
              <x:String>System.Activities.Expressions</x:String>
              <x:String>System.Activities.Validation</x:String>
              <x:String>System.Activities.XamlIntegration</x:String>
              <x:String>Microsoft.VisualBasic.Activities</x:String>
              <x:String>System</x:String>
              <x:String>System.Collections.Generic</x:String>
              <x:String>System.Data</x:String>
              <x:String>System.Diagnostics</x:String>
              <x:String>System.IO</x:String>
              <x:String>System.Linq</x:String>
              <x:String>System.Management.Automation</x:String>
              <x:String>System.Net.Mail</x:String>
              <x:String>System.Xml</x:String>
              <x:String>System.Xml.Linq</x:String>
              <x:String>UiPath.Library</x:String>
              <x:String>System.Windows.Markup</x:String>
            </sco:Collection>
          </TextExpression.Namespaces>
          <TextExpression.References>
            <sco:Collection x:TypeArguments="AssemblyReference">
              <AssemblyReference>System.Activities</AssemblyReference>
              <AssemblyReference>mscorlib</AssemblyReference>
              <AssemblyReference>System.Data</AssemblyReference>
              <AssemblyReference>System</AssemblyReference>
              <AssemblyReference>System.Core</AssemblyReference>
              <AssemblyReference>System.Management.Automation</AssemblyReference>
              <AssemblyReference>System.Xml</AssemblyReference>
              <AssemblyReference>System.Xml.Linq</AssemblyReference>
              <AssemblyReference>UiPath.Library</AssemblyReference>
              <AssemblyReference>PresentationFramework</AssemblyReference>
              <AssemblyReference>WindowsBase</AssemblyReference>
              <AssemblyReference>PresentationCore</AssemblyReference>
              <AssemblyReference>System.Xaml</AssemblyReference>
            </sco:Collection>
          </TextExpression.References>
          <sap2010:WorkflowViewState.ViewStateManager>
            <sap2010:ViewStateManager>
              <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
            </sap2010:ViewStateManager>
          </sap2010:WorkflowViewState.ViewStateManager>
        </Delay>
      </If.Then>
      <If.Else>
        <Sequence DisplayName="AE - quote button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_61">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_40" Level="Error" Message="[componentName+&quot;: quote button does not exist&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: quote button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_36" />
        </Sequence>
      </If.Else>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click quote button" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="Click_44" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="29ee55576d2b3456569fbbe1e209d6d3" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Q-*' parentid='brandBand_2' parentname='sidebar' tag='SPAN' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists - quote screen" Exists="[quoteScreenExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_36">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="408ab81ea1bdff9d019bdb16bd9f4608" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='Q-*Salesforce' /&gt;&lt;webctrl aaname='*Quote' parentname='header' /&gt;" TimeoutMS="15000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[quoteScreenExists]" DisplayName="If quoteScreenExists" sap:VirtualizedContainerService.HintSize="621,623" sap2010:WorkflowViewState.IdRef="If_48">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence sap:VirtualizedContainerService.HintSize="376,475" sap2010:WorkflowViewState.IdRef="Sequence_62">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_41" Level="Info" Message="[&quot;Retrying click quote number&quot;]" />
          <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" ContinueOnError="True" DisplayName="Click quote button" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_45" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="29ee55576d2b3456569fbbe1e209d6d3" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Q-*' parentid='brandBand_2' parentname='sidebar' tag='SPAN' /&gt;" TimeoutMS="3000" WaitForReady="COMPLETE" />
            </ui:Click.Target>
          </ui:Click>
          <ui:UiElementExists DisplayName="Element Exists - quote screen" Exists="[quoteScreenExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_40">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="408ab81ea1bdff9d019bdb16bd9f4608" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='Q-*Salesforce' /&gt;&lt;webctrl aaname='*Quote' parentname='header' /&gt;" TimeoutMS="15000">
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
        </Sequence>
      </If.Else>
    </If>
    <If Condition="[quoteScreenExists]" DisplayName="If quoteScreenExists" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_46">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - quote screen does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_57">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_39" Level="Error" Message="[componentName+&quot;: quote screen does not exist&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: quote screen does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_35" />
        </Sequence>
      </If.Else>
    </If>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="621,91" sap2010:WorkflowViewState.IdRef="LogMessage_13" Level="Info" Message="[&quot;End: &quot;+componentName]" />
  </Sequence>
</Activity>